# Base User Role History

This addon provides history for roles modifications on users. Each time a role is added/updated/unlinked on a user, a new role history line is created mentioning what changes were made and who made them. Theses informations are directly accessible from users via a smart button.

Table of contents

- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

Changes on user roles are easily accessible via a button on user form view.

# Known issues / Roadmap

Since roles on role history line have ‘cascade’ ondelete, role deletion leads to role history line deletion. In order to keep history even in the case of a role deletion, module could be upgraded.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- ACSONE SA/NV

## Contributors

- Benoit Aimont <benoit.aimont@acsone.eu> (https://acsone.eu)
- Thomas Binsfeld <thomas.binsfeld@acsone.eu> (https://acsone.eu)

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/server-backend project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.